bower wrong package version

7 posts, 0 answers
  1. domiSchenk
    domiSchenk avatar
    55 posts
    Member since:
    Mar 2013

    Posted 04 Aug 2014 Link to this post

    When i tried to download 'ionic' with bower i get the false version of it.
    it would be nice to have feature to select the version to download.

    what i have saw is that the description is already there for changing the version.
    is it  a bug now showing up or a future feature?

  2. Zdravko
    Admin
    Zdravko avatar
    657 posts

    Posted 07 Aug 2014 Link to this post

    Hi Dominik,

    Thanks for your feedback.
    Indeed Bower does not provide the latest available version, but the latest non-beta one.
    You can check that by installing ionic via Bower CLI.
    Maybe you were misled by our details pane for the package which we will try to improve in the near future.

    The ability to choose the version is a nice feature and a great addition. That is why I would suggest posting a feature request at our feedback portal where our community could vote for it and raise its priority. Also you can easily track its progress.
    Thanks.

    Regards,
    Zdravko
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
  3. domiSchenk
    domiSchenk avatar
    55 posts
    Member since:
    Mar 2013

    Posted 13 Aug 2014 in reply to Zdravko Link to this post

    thank you for your response.

    I did notice that its the same with bower cli :-(

    I didnt not mean this pane, see picture which one i mean :-D


    Feature request here:
    http://feedback.telerik.com/Project/129/Feedback/List/Your%20Items
  4. Zdravko
    Admin
    Zdravko avatar
    657 posts

    Posted 18 Aug 2014 Link to this post

    Hi Dominik,

    Thanks for the screenshot.
    Indeed Bower pane use the same text as in Kendo UI tab, even though you can't change the versions like Kendo functionality allows. Also there is no Change button on both places so I logged this as a bug and we will improve it for some of the upcoming releases.

    According to your screenshot it seems like you have troubles loading Bower frameworks.
    If you continue to hit this issue would you send us your logs so we could investigate the cause? You can find them at  %localappdata%\Telerik\BlackDragon\Logs folder.
    Thank you.

    Regards,
    Zdravko
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
  5. Rodney
    Rodney avatar
    11 posts
    Member since:
    Oct 2010

    Posted 18 Sep 2014 in reply to Zdravko Link to this post

    I've just noticed the same issue - I want the latest non-beta version of Ionic, not the one from early this year.
  6. Rodney
    Rodney avatar
    11 posts
    Member since:
    Oct 2010

    Posted 18 Sep 2014 in reply to Rodney Link to this post

    Have you tried the Nightly Releases through the CLI?
    To install the latest stable version, bower install driftyco/ionic-bower
    To install the latest nightly release, bower install driftyco/ionic-bower#master
  7. Rodney
    Rodney avatar
    11 posts
    Member since:
    Oct 2010

    Posted 18 Sep 2014 in reply to Zdravko Link to this post

    Vote for it here:  http://feedback.telerik.com/Project/129/Feedback/Details/135818-add-advanced-features-for-package-manager-bower
Back to Top